MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030967Open CASCADE[OCCT] PRODUCTS:Configurationpublic2019-09-16 11:082019-09-22 11:43
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030967: Configuration, genproj.tcl - generate OCCProducts solution for products
DescriptionCurrently genproj.tcl generates solutions with the same name "OCCT" for both OCCT and OCC Products. This leads to confusion when both solutions are opened in parallel in IDE.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0087117)
git (administrator)
2019-09-16 11:11

Branch CR30967 has been created by kgv.

SHA-1: 05180ed128ed2793c9d1be43df46fee8f7563854


Detailed log of new commits:

Author: kgv
Date: Mon Sep 16 11:08:23 2019 +0300

    0030967: Configuration, genproj.tcl - generate OCCProds solution for products
(0087126)
git (administrator)
2019-09-16 13:13

Branch CR30967 has been updated forcibly by kgv.

SHA-1: 383057684401db03c4a15e4a9bf11e753e2faa43
(0087127)
kgv (developer)
2019-09-16 13:14

Patch is ready for review.

Manually tested on Windows and Linux.
(0087138)
git (administrator)
2019-09-16 15:31

Branch CR30967 has been updated forcibly by kgv.

SHA-1: 0b83d3964f83cb6bd6f7284fefe2adc34884fde4
(0087139)
git (administrator)
2019-09-16 15:33

Branch CR30967 has been updated forcibly by kgv.

SHA-1: 3c463031d65dd0e660f203fc5b74f08713f76897
(0087140)
git (administrator)
2019-09-16 15:34

Branch CR30967 has been updated forcibly by kgv.

SHA-1: f730877f4d8a6120c7ccad89c94c5045ca07314c
(0087145)
git (administrator)
2019-09-16 16:04

Branch CR30967 has been updated forcibly by kgv.

SHA-1: 895eb83e73915d35390b5365b941294dd468fef7
(0087153)
git (administrator)
2019-09-16 16:36

Branch CR30967 has been updated forcibly by kgv.

SHA-1: e1b80ad2771b7ef0a1d11f783d8c0acd259e2333
(0087159)
abv (manager)
2019-09-16 17:21

Reviewed, please integrate. Note that standard testing is not needed; building with genproj should be tested and perhaps adapted to use new name for VS olution of products: "OCCProducts".
(0087421)
git (administrator)
2019-09-22 11:41

Branch CR30967 has been deleted by inv.

SHA-1: e1b80ad2771b7ef0a1d11f783d8c0acd259e2333

- Related Changesets
occt: master f4b0c772
Timestamp: 2019-09-16 08:08:23
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030967: Configuration, genproj.tcl - generate OCCProducts solution for products

genproj procedure has been extended with new parameters -solution, set to OCCT by default.
Added missing HAVE_RAPIDJSON to env.sh.

Added implicit file path normalization for PRODUCTS_PATH variable,
to avoid genconf.tcl script malfunction on backslashed.
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genconfdeps.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/codeblocks.sh Diff ] File ]
mod - adm/templates/env.sh Diff ] File ]
mod - adm/templates/msvc.bat Diff ] File ]
mod - adm/templates/xcode.sh Diff ] File ]
mod - genproj Diff ] File ]
mod - genproj.bat Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-09-16 11:08 kgv New Issue
2019-09-16 11:08 kgv Assigned To => kgv
2019-09-16 11:11 git Note Added: 0087117
2019-09-16 13:13 git Note Added: 0087126
2019-09-16 13:14 kgv Note Added: 0087127
2019-09-16 13:14 kgv Assigned To kgv => abv
2019-09-16 13:14 kgv Status new => resolved
2019-09-16 15:31 git Note Added: 0087138
2019-09-16 15:33 git Note Added: 0087139
2019-09-16 15:34 git Note Added: 0087140
2019-09-16 16:04 git Note Added: 0087145
2019-09-16 16:36 kgv Summary Configuration, genproj.tcl - generate OCCProds solution for products => Configuration, genproj.tcl - generate OCCProducts solution for products
2019-09-16 16:36 git Note Added: 0087153
2019-09-16 17:21 abv Note Added: 0087159
2019-09-16 17:21 abv Assigned To abv => bugmaster
2019-09-16 17:21 abv Status resolved => reviewed
2019-09-18 07:59 bugmaster Status reviewed => tested
2019-09-18 08:00 bugmaster Test case number => Not required
2019-09-21 18:13 bugmaster Changeset attached => occt master f4b0c772
2019-09-21 18:13 bugmaster Status tested => verified
2019-09-21 18:13 bugmaster Resolution open => fixed
2019-09-22 11:41 git Note Added: 0087421


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker